%define subrel 1
Name:          jboss-maven-utils
Version:       1.0.0
Release:       %mkrel 4
Summary:       JBoss Maven Utilities
Group:         Development/Java
License:       LGPL
Url:           http://jboss.org/
# svn export http://anonsvn.jboss.org/repos/maven/utils/tags/jboss-maven-utils-1.0.0
# tar czf jboss-maven-utils-1.0.0-src-svn.tar.gz jboss-maven-utils-1.0.0
Source0:       jboss-maven-utils-1.0.0-src-svn.tar.gz
Patch0:        jboss-maven-utils-1.0.0-PlexusToMavenPluginLoggingBridge.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jboss-parent

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin

Requires:      maven

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch


%description
Various Maven utilities hosted by JBoss

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-maven-utils-%{version}
%patch0 -p0
%build
mvn-rpmbuild  \
  -e \
  install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 0644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/jboss/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 1.0.0-4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.0-4.mga4
+ Revision: 559818
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 355077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 20 2011 gil <gil> 1.0.0-1.mga2
+ Revision: 157043
- imported package jboss-maven-utils

